# Uses of Class
it.tdlight.jni.TdApi.InlineQueryResultsButtonType

## Uses of TdApi.InlineQueryResultsButtonType in it.tdlight.jni

Subclasses of TdApi.InlineQueryResultsButtonType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InlineQueryResultsButtonTypeStartBot`
Describes the button that opens a private chat with the bot and sends a start message to the bot with the given parameter.
`static final class`
`TdApi.InlineQueryResultsButtonTypeWebApp`
Describes the button that opens a Web App by calling getWebAppUrl.
Fields in it.tdlight.jni declared as TdApi.InlineQueryResultsButtonType
Modifier and Type
Field
Description
`TdApi.InlineQueryResultsButtonType`
TdApi.InlineQueryResultsButton.`type`
Type of the button.
Constructors in it.tdlight.jni with parameters of type TdApi.InlineQueryResultsButtonType
Modifier
Constructor
Description
``
`InlineQueryResultsButton(String text, TdApi.InlineQueryResultsButtonType type)`
Represents a button to be shown above inline query results.